unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses uciaxml;

{$R *.dfm}



procedure TForm1.Button2Click(Sender: TObject);
var
   xmlc :TXMLConfig;
begin
   if SaveDialog1.Execute then begin
      if SaveDialog1.FileName = '' then exit;
       xmlc := TXMLConfig.Create(SaveDialog1.FileName);
       try
           xmlc.WriteString('sec1','Edit1',edit1.text);
           xmlc.WriteBoolean('sec1','Checkbox1',checkbox1.Checked);
           xmlc.WriteString('sec1','Combobox1',ComboBox1.text);
           xmlc.Save;
       finally
           xmlc.Free;
       end;
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
   xmlc :TXMLConfig;
begin
  if OpenDialog1.Execute then begin
      if OpenDialog1.FileName = '' then exit;
       xmlc := TXMLConfig.Create(OpenDialog1.FileName);
       try
         edit1.text :=  xmlc.ReadString('sec1','Edit1','');
         Checkbox1.Checked :=  xmlc.ReadBoolean('sec1','Checkbox1',false);
         Combobox1.Text :=   xmlc.ReadString('sec1','Combobox1','');

       finally
           xmlc.Free;
       end;
  end;
end;

end.
